//  main: main.less, out: ../style.css

/* 
====================================================================================================================================
CONTACT
======================================================================================================================================
*/

.wpcf7-dark {
    input,
    textarea {
        appearance: none;
        -moz-appearance: none;
        -webkit-appearance: none;
        border: none;
        background-color:#0C1735;
        color: white;
        height: 38px;
        margin: 0;
        padding: 0 0 0 10px;
        font-family: @font_base;
        font-size: @size__s;
        .u-border-radius(3px);
        .u-placeholderColor(@color-white);

        &:focus {
            outline: none;
        }

        /* Change Autocomplete styles in Chrome*/
        &:-webkit-autofill,
        &:-webkit-autofill:hover,
        &:-webkit-autofill:focus,
        &:-webkit-autofill,
        &:-webkit-autofill:hover,
        &:-webkit-autofill:focus {
            -webkit-text-fill-color: @color-text;
            -webkit-box-shadow: 0 0 0px 1000px #F6F9FF inset;
            transition: background-color 5000s ease-in-out 0s;
            font-size: @size__m!important;
        }
    }

    textarea {
        resize: vertical;
        height: 100px;
        margin-top: 8px;
    }

    .wpcf7-form-control-wrap {
        display: inline-block;
        width: 100%;
        padding: 0;
        &.costumer-name {
            margin-right: 6px;
            margin-top: @margin__s;
        }

        &.costumer-name,
        &.email {
            width: 49%;

            input {
                width: 100%;
            }
            @media @media_smartphone, @media_tablet {
                width: 100%;
                margin-top: 8px;
            }
        }
    }

    .wpcf7-submit {
        .o-button;
        .u-border-radius(0);
        background-color: @color-footer;
        border: solid 1px @color-white;
        color: @color-white;
        margin-top: @margin__s;
        cursor: pointer;
        &:hover {
            background-color: fade(@color-white, 10%);
        }
    }

    @media @media_smartphone {

        padding: @margin__s;
        h2 {
            font-size: @size__m;
        }
    }
}

.wpcf7 {
    .wpcf7-dark;
    input,
    textarea {
        background-color:fade(@color-secondary, 30%);
        color: @color-text;
        .u-placeholderColor(@color-footer);

        &:-webkit-autofill,
        &:-webkit-autofill:hover,
        &:-webkit-autofill:focus,
        &:-webkit-autofill,
        &:-webkit-autofill:hover,
        &:-webkit-autofill:focus {
            -webkit-box-shadow: 0 0 0px 1000px @color-tetiary inset;
        }
    }

    .wpcf7-submit {
        .o-button;
        .u-border-radius(0);
        background-color: @color-white;
        border: solid 1px @color-footer;
        color: @color-footer;
        &:hover {
            background-color: @color-footer;
            border: solid 1px @color-footer;
        }
    }

}